Package ch.qos.logback.classic.spi

# Class ThrowableProxyVO

java.lang.Object
ch.qos.logback.classic.spi.ThrowableProxyVO

All Implemented Interfaces:
  `IThrowableProxy`, `Serializable`

public class ThrowableProxyVO extends Object implements IThrowableProxy, Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ThrowableProxyVO()`

## Method Summary

Modifier and Type
Method
Description
`static ThrowableProxyVO`
`build(IThrowableProxy throwableProxy)`
`boolean`
`equals(Object obj)`
`IThrowableProxy`
`getCause()`
`String`
`getClassName()`
`int`
`getCommonFrames()`
`String`
`getMessage()`
`StackTraceElementProxy[]`
`getStackTraceElementProxyArray()`
`IThrowableProxy[]`
`getSuppressed()`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThrowableProxyVO

public ThrowableProxyVO()

## Method Details

### getMessage

public String getMessage()

Specified by:
  `getMessage` in interface `IThrowableProxy`

### getClassName

public String getClassName()

Specified by:
  `getClassName` in interface `IThrowableProxy`

### getCommonFrames

public int getCommonFrames()

Specified by:
  `getCommonFrames` in interface `IThrowableProxy`

### getCause

public IThrowableProxy getCause()

Specified by:
  `getCause` in interface `IThrowableProxy`

### getStackTraceElementProxyArray

public StackTraceElementProxy[] getStackTraceElementProxyArray()

Specified by:
  `getStackTraceElementProxyArray` in interface `IThrowableProxy`

### getSuppressed

public IThrowableProxy[] getSuppressed()

Specified by:
  `getSuppressed` in interface `IThrowableProxy`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### build

public static ThrowableProxyVO build(IThrowableProxy throwableProxy)